package com.dgtis.adultcollege.repository;

import com.dgtis.adultcollege.model.HsAdultCollege;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;
import org.springframework.data.rest.core.annotation.RestResource;

import java.util.List;

/**
 * @Author: csz
 * @Date: 2019/4/9 12:25
 */
@RepositoryRestResource(collectionResourceRel = "adultCollege", path = "adultCollege")
public interface HsAdultCollegeRepository extends JpaRepository<HsAdultCollege, Long> {

    @RestResource(path = "nameLike", rel = "nameLike")
    @Query(value = "select h from HsAdultCollege h where h.name like %?1%")
    List<HsAdultCollege> findByNameLike(@Param("name") String name);
}
