package com.dgtis.assistedreproductiveinstitution.repository;

import com.dgtis.assistedreproductiveinstitution.model.HsAssistedReproductiveInstitution;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;
import org.springframework.data.rest.core.annotation.RestResource;

import java.util.List;

/**
 * @Author: csz
 * @Date: 2019/4/4 14:36
 */
@RepositoryRestResource(collectionResourceRel = "assistedReproductiveInstitution", path = "assistedReproductiveInstitution")
public interface HsAssistedReproductiveInstitutionRepository extends JpaRepository<HsAssistedReproductiveInstitution, Long> {

    @RestResource(path = "nameLike", rel = "nameLike")
    @Query(value = "select h from HsAssistedReproductiveInstitution h where h.name like %?1%")
    List<HsAssistedReproductiveInstitution> findByNameLike(@Param("name") String name);
}
