package com.dgtis.talentintermediary.repository;

import com.dgtis.talentintermediary.model.HsTalentIntermediary;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;
import org.springframework.data.rest.core.annotation.RestResource;

import java.util.List;

/**
 * @Author: csz
 * @Date: 2019/4/4 14:36
 */
@RepositoryRestResource(collectionResourceRel = "talentIntermediary", path = "talentIntermediary")
public interface HsTalentIntermediaryRepository extends JpaRepository<HsTalentIntermediary, Long> {

    @RestResource(path = "nameLike", rel = "nameLike")
    @Query(value = "select h from HsTalentIntermediary h where h.name like %?1%")
    List<HsTalentIntermediary> findByNameLike(@Param("name") String name);
}
